# Errors 

### Errors 
Accounts must pass validation before a score can be generated. If validation fails, then requests to `GET /atto-score/v1/consents/{consentId}/accounts/{accountId}` will produce a `422 Unprocessable Entity` response. Only the first validation failure encountered will be stored and returned on request.

```javascript
{
    "code": "atto_score_not_generated",
    "description": "Atto Score could not be generated.",
    "details": "<see table below for all possible failure reasons>",
    "correlationId": "string"
}
```
| Possible Failures |
|  --- |
| No transactions |
| Account is not a GBP account |
| Account is not a Personal account |
| Account is not a Current account |
| The minimum transaction period of 90 days was not met |
| The minimum transaction count of 50 was not met |
| Transactions without BookingDate |
| Account balances are null |

Version: all

## Description:

  - `Errors` ()
    Accounts must pass validation before a score can be generated. If validation fails, then requests to `GET /atto-score/v1/consents/{consentId}/accounts/{accountId}` will produce a `422 Unprocessable Entity` response. Only the first validation failure encountered will be stored and returned on request. ```javascript
{
    "code": "atto_score_not_generated",
    "description": "Atto Score could not be generated.",
    "details": "<see table below for all possible failure reasons>",
    "correlationId": "string"
}
``` | Possible Failures |
|  --- |
| No transactions |
| Account is not a GBP account |
| Account is not a Personal account |
| Account is not a Current account |
| The minimum transaction period of 90 days was not met |
| The minimum transaction count of 50 was not met |
| Transactions without BookingDate |
| Account balances are null |

